CompressionAlgorithm (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene90.blocktree, enum: CompressionAlgorithm

Package org.apache.lucene.backward_codecs.lucene90.blocktree

# Enum Class CompressionAlgorithm

java.lang.Object
java.lang.Enum<CompressionAlgorithm>
org.apache.lucene.backward_codecs.lucene90.blocktree.CompressionAlgorithm

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionAlgorithm>`, `Constable`

public enum CompressionAlgorithm extends Enum<CompressionAlgorithm>
Compression algorithm used for suffixes of a block of terms.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOWERCASE_ASCII`
  Lowercase Ascii compression.
  `LZ4`
  LZ4 compression.
  `NO_COMPRESSION`
  No compression.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `code`
  Compression code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CompressionAlgorithm`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CompressionAlgorithm[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_COMPRESSION

    public static final CompressionAlgorithm NO_COMPRESSION
    No compression.

  - ### LOWERCASE_ASCII

    public static final CompressionAlgorithm LOWERCASE_ASCII
    Lowercase Ascii compression.

  - ### LZ4

    public static final CompressionAlgorithm LZ4
    LZ4 compression.

- ## Field Details

  - ### code

    public final int code
    Compression code.

- ## Method Details

  - ### values

    public static CompressionAlgorithm[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CompressionAlgorithm valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null